function appendtables(dest, src, etc, ...)
    for i = 1, #src do
        dest[#dest + 1] = src[i]
    end
    if etc then
        return appendtables(dest, etc, ...)
    else
        return dest
    end
end

return appendtables
